package com.dsk.system.domain.dsk.dto;

import com.dsk.common.core.domain.model.BasePage;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 集团户相关查询条件实体类
 *
 * @author Dgm
 * @create 2023/8/7
 */
@Data
public class JskCombineBidPageDto extends BasePage implements Serializable {
    /**
     * 集团id
     */
    @NotNull(message = "集团id不能为空！")
    private String combineId;
    /**
     * 集团名称
     */
    private String combineName;
    /**
     * 筛选参数
     */
    private String keys;
    /**
     * 集团层级
     */
    private List<String> combineMemberLevels;
    /**
     * 省id
     */
    private List<Integer> provinceIds;
    /**
     * 市id
     */
    private List<Integer> cityIds;
    /**
     * 区id
     */
    private List<Integer> areaIds;
    /**
     * 最大金额
     */
    private Integer maxAmount;
    /**
     * 最小金额
     */
    private Integer minAmount;
    /**
     * 业务类型
     */
    private String businessType;
    /**
     * 科技型企业类型
     */
    private List<String> companyTypes;
    /**
     * 企业类型
     */
    private String companyType;
    /**
     * 最大持股比例
     */
    private Double maxStockPercent;
    /**
     * 最小持股比例
     */
    private Double minStockPercent;
    /**
     * 时间（开始）
     */
    private String startTime;
    /**
     * 时间（结束）
     */
    private String endTime;
    /**
     * 招采类型
     */
    private List<String> subjectMatters;
    /**
     * 项目类型
     */
    private List<String> projectTypes;

}
